Subject: Re: Waiting for the PHY to complete auto-negotiation

From: Andrew Lunn <[email-masked]>
Date: Wed, 6 Dec 2017 19:26:33 +0100

> The problem with this is the following mind-boggling quirk of
> the hardware: once RX DMA is enabled, there is no supported
> way to disable it! Thus, I'm trying to find a clean way to set
> the control flow parameter BEFORE enabling the MAC.

There is no solution. I can pull the cable out, and plug it into a
different computer. The first could use flow control, the second not.

If you cannot disable RX DMA, you should probably disable unloading of
the module. Also kexec.

    Andrew